#################################################
#
#  (C) 2013 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### fsview (static) ###########################

tde_add_library( fsview STATIC_PIC AUTOMOC
  SOURCES treemap.cpp fsview.cpp scan.cpp inode.cpp
  LINK tdeio-shared
)


##### fsview (executable) #######################

tde_add_executable( fsview AUTOMOC
  SOURCES main.cpp
  LINK tdeio-shared fsview-static
  DESTINATION ${BIN_INSTALL_DIR}
)


##### scantest (test) ###########################
# FIXME: replace this after adding specific tde macro
if( WITH_TEST )
  tde_add_executable( scantest
    SOURCES scantest.cpp
    LINK tdeio-shared fsview-static )

  set_property( SOURCE scantest.cpp APPEND
    PROPERTY COMPILE_DEFINITIONS
      FSVIEW_SCANTEST_DIRECTORY="${CMAKE_BINARY_DIR}" )

  add_test( scantest ${CMAKE_CURRENT_BINARY_DIR}/scantest )
endif( WITH_TEST )


##### libfsviewpart (kpart) #####################

tde_add_kpart( libfsviewpart AUTOMOC
  SOURCES fsview_part.cpp
  LINK tdeio-shared konq-shared fsview-static
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( fsview )


##### other data ################################

install( FILES fsview_part.rc
  DESTINATION ${DATA_INSTALL_DIR}/fsview
)

tde_create_translated_desktop(
  SOURCE fsview_part.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR konq-plugins-desktops
)

tde_create_translated_desktop(
  SOURCE fsview.desktop
  DESTINATION ${APPS_INSTALL_DIR}/.hidden
  PO_DIR konq-plugins-desktops
)
